Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deRenderMaterial Class Reference

`#include <deRenderStates_priv.hpp>`

Inheritance diagram for deRenderMaterial:

[legend]
Collaboration diagram for deRenderMaterial:

[legend]
List of all members.

## Public Member Functions
| deRenderMaterial ()
IdeRenderState::Type | GetRSType () const
void * | GetRSInterface (IdeRenderState::Type type) const
deBoolean | SetAmbientColor (deColor *AmbientColor)
deBoolean | GetAmbientColor (deColor *AmbientColor) const
deBoolean | SetDiffuseColor (deColor *DiffuseColor)
deBoolean | GetDiffuseColor (deColor *DiffuseColor) const
deBoolean | SetSpecularColor (deColor *SpecularColor)
deBoolean | GetSpecularColor (deColor *SpecularColor) const
deBoolean | SetEmissiveColor (deColor *EmissiveColor)
deBoolean | GetEmissiveColor (deColor *EmissiveColor) const
deBoolean | SetAmbientSource (MatSource_t Source)
MatSource_t | GetAmbientSource () const
deBoolean | SetDiffuseSource (MatSource_t Source)
MatSource_t | GetDiffuseSource () const
deBoolean | SetSpecularSource (MatSource_t Source)
MatSource_t | GetSpecularSource () const
deBoolean | SetEmissiveSource (MatSource_t Source)
MatSource_t | GetEmissiveSource () const
deBoolean | SetSpecularPower (float Power)
float | GetSpecularPower () const
const MatData * | GetAllData () const
deBoolean | SetAllData (const MatData *Data)
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
| ~deRenderMaterial ()
## Private Attributes
MatData | m_Data

## Constructor & Destructor Documentation

deRenderMaterial::~deRenderMaterial | ( |  | ) | `[protected]`

deRenderMaterial::deRenderMaterial | ( |  | ) |

## Member Function Documentation

const deRenderMaterial::MatData * deRenderMaterial::GetAllData | ( |  | ) | const`[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::GetAmbientColor | ( | deColor * | AmbientColor | ) | const`[virtual]`

| Implements IdeRenderMaterial.

IdeRenderMaterial::MatSource_t deRenderMaterial::GetAmbientSource | ( |  | ) | const`[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::GetDiffuseColor | ( | deColor * | DiffuseColor | ) | const`[virtual]`

| Implements IdeRenderMaterial.

IdeRenderMaterial::MatSource_t deRenderMaterial::GetDiffuseSource | ( |  | ) | const`[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::GetEmissiveColor | ( | deColor * | EmissiveColor | ) | const`[virtual]`

| Implements IdeRenderMaterial.

IdeRenderMaterial::MatSource_t deRenderMaterial::GetEmissiveSource | ( |  | ) | const`[virtual]`

| Implements IdeRenderMaterial.

void * deRenderMaterial::GetRSInterface | ( | IdeRenderState::Type | type | ) | const`[virtual]`

| Implements IdeRenderState.

IdeRenderState::Type deRenderMaterial::GetRSType | ( |  | ) | const`[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::GetSpecularColor | ( | deColor * | SpecularColor | ) | const`[virtual]`

| Implements IdeRenderMaterial.

float deRenderMaterial::GetSpecularPower | ( |  | ) | const`[virtual]`

| Implements IdeRenderMaterial.

IdeRenderMaterial::MatSource_t deRenderMaterial::GetSpecularSource | ( |  | ) | const`[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetAllData | ( | const MatData * | Data | ) | `[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetAmbientColor | ( | deColor * | AmbientColor | ) | `[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetAmbientSource | ( | MatSource_t | Source | ) | `[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetDiffuseColor | ( | deColor * | DiffuseColor | ) | `[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetDiffuseSource | ( | MatSource_t | Source | ) | `[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetEmissiveColor | ( | deColor * | EmissiveColor | ) | `[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetEmissiveSource | ( | MatSource_t | Source | ) | `[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetSpecularColor | ( | deColor * | SpecularColor | ) | `[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetSpecularPower | ( | float | Power | ) | `[virtual]`

| Implements IdeRenderMaterial.

deBoolean deRenderMaterial::SetSpecularSource | ( | MatSource_t | Source | ) | `[virtual]`

| Implements IdeRenderMaterial.

## Member Data Documentation

MatData deRenderMaterial::m_Data`[private]`

deRenderMaterial::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deRenderStates_priv.hpp
- RenderMaterial.cpp